# kio Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KNSBookmarkExporter Class Reference

A class that exports all the current bookmarks to Netscape/Mozilla bookmarks Warning, it overwrites the existing bookmarks.html file ! More...

`#include <kbookmarkexporter.h>`

Collaboration diagram for KNSBookmarkExporter:

[legend]
List of all members.

## Public Member Functions

| KNSBookmarkExporter (KBookmarkManager *mgr, const QString &fileName)
void | write ()
void | write (bool utf8)

## Protected Member Functions

void | writeFolder (QTextStream &stream, KBookmarkGroup parent)

## Protected Attributes

QString | m_fileName
KBookmarkManager * | m_pManager

## Detailed Description

A class that exports all the current bookmarks to Netscape/Mozilla bookmarks Warning, it overwrites the existing bookmarks.html file !

Definition at line 30 of file kbookmarkexporter.h.

The documentation for this class was generated from the following files:

- kbookmarkexporter.h
- kbookmarkexporter.cc

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:19:22 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001